# Copyright 2018- The Pixie Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0

# This file is autogenerated, do not edit directly.
load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_file")

def download_ubuntu_packages():
    http_file(
        name = "libbyteman-java",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/libbyteman-java_4.0.18-1_all.deb"],
        sha256 = "40d91e567da1d5369e7e7d022d3b9b88fca529a357cbd22eb737c5a9e6ea8ab4",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "libc6",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/libc6_2.35-0ubuntu3_amd64.deb"],
        sha256 = "16281f1199723ff302ac05fc9daa647fa1cdc420b547a3b5a83e81cb40f0aea5",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "libcrypt1",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/libcrypt1_4.4.27-1_amd64.deb"],
        sha256 = "a274c2812e9aff29fe0abb7e950ba67d08aea5c9ffce1efe363d63a08e51038c",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "libelf1",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/libelf1_0.186-1build1_amd64.deb"],
        sha256 = "0b1d4cc19f2ce7be012616cefb5a1f26813fa35d62aafb4bf4a849acc4b2afc2",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "liblzma5",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/liblzma5_5.2.5-2ubuntu1_amd64.deb"],
        sha256 = "b5da99dbb2ff0e6e1ce44ba7e37be8dd452ffb09c92546dd469f49371fca1e47",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "libtinfo6",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/libtinfo6_6.3-2_amd64.deb"],
        sha256 = "9751c8bfed7d4ecca1460f51e9a0e5ea1a5a270743855e31b328d86c8d692524",
        downloaded_file_path = "out.deb",
    )
    http_file(
        name = "zlib1g",
        urls = ["https://storage.googleapis.com/pixie-dev-public/ubuntu-debs/1655507056/zlib1g_1.2.11.dfsg-2ubuntu9_amd64.deb"],
        sha256 = "da0ef2adaece0ba09a40d169872136e98d1917adbb13099dfcaee72d9ec1f8d8",
        downloaded_file_path = "out.deb",
    )

packages = {
    "libbyteman-java": "@libbyteman-java//file:out.deb",
    "libc6": "@libc6//file:out.deb",
    "libcrypt1": "@libcrypt1//file:out.deb",
    "libelf1": "@libelf1//file:out.deb",
    "liblzma5": "@liblzma5//file:out.deb",
    "libtinfo6": "@libtinfo6//file:out.deb",
    "zlib1g": "@zlib1g//file:out.deb",
}
